Bug 463328 - [LTC 6.0 FEAT] 201664:InfiniBand userspace 32bit/64bit libraries installation option
[LTC 6.0 FEAT] 201664:InfiniBand userspace 32bit/64bit libraries installation...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All All
medium Severity medium
: rc
: ---
Assigned To: RHEL Product and Program Management
Daniel Riek
:
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-22 18:10 EDT by IBM Bug Proxy
Modified: 2009-02-06 15:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 11:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 18:10:46 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:28 EDT
1. Feature Overview:
Feature Id:	[201664]
a. Name of Feature:	InfiniBand userspace 32bit/64bit libraries installation option
b. Feature Description
Currently there is no such an option for user to choose which bit InfiniBand libraries to be
installed by default. For user needs to manually remove/install these libraries after the
installation if the default installation doesn't meet their applications requirement.

2. Feature Details:
Sponsor:	LTC
Architectures:
ppc64

Arch Specificity: Purely Common Code
Affects Installer: Yes
Delivery Mechanism: Request Red Hat development assistance
Category:	Networking
Request Type:	Installer - Enhancement from Distributor
d. Upstream Acceptance:	No Code Required
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	This is a request for a Distro fresh auto installer change.

3. Business Case
When InfiniBand is the part of standard distro release, customers need to have installation options
for InfiniBand userspace libraries  to choose between 64bit librires and 32 bit libraries during a
fresh auto installation. They can pick up either 32bit or 64bit InfiniBand libraries to meet their
applications requirements. The default libraries installation might meet customer's application
requirement.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Shirley Ma, xma@us.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 11:57:39 EDT
We are not going to change the multilib policy to be toggled dependent on a specific subset of packages selected - there's no way to sanely present that to the user, or scale that to everywhere it may be used.
Comment 2 Bill Nottingham 2008-10-02 12:02:49 EDT
FWIW, if your IB-using software is packaged as RPMs with the proper dependency information, this shouldn't be an issue - the correct libraries will be pulled in.

Note You need to log in before you can comment on or make changes to this bug.